package cn.muchinfo.rma.global.data;

/**
 * Created by simonzhou on 18/3/20.
 * 商品保证金信息
 * optional uint32 GoodsID = 1; // 商品id
 * optional uint32 CustomerTypeID = 2; // 投资者客户类别
 * optional uint32 MarginAlgorithm = 3; // 保证金计算方式
 * optional double MarketMarginValue = 4; // 即市保证金值
 * optional double ReckonMarginValue = 5; // 结算保证金值
 * optional uint32 IsDefault = 6; // 是否默认0:否1：是
 */

public class GoodsMarginConfigData {
    private int goodsID;
    private int customerTypeID;
    private int marginAlgorithm;
    private double marketMarginValue;
    private double reckonMarginValue;
    private int isDefault;

    public int getGoodsID() {
        return goodsID;
    }

    public void setGoodsID(int goodsID) {
        this.goodsID = goodsID;
    }

    public int getCustomerTypeID() {
        return customerTypeID;
    }

    public void setCustomerTypeID(int customerTypeID) {
        this.customerTypeID = customerTypeID;
    }

    public int getMarginAlgorithm() {
        return marginAlgorithm;
    }

    public void setMarginAlgorithm(int marginAlgorithm) {
        this.marginAlgorithm = marginAlgorithm;
    }

    public double getMarketMarginValue() {
        return marketMarginValue;
    }

    public void setMarketMarginValue(double marketMarginValue) {
        this.marketMarginValue = marketMarginValue;
    }

    public double getReckonMarginValue() {
        return reckonMarginValue;
    }

    public void setReckonMarginValue(double reckonMarginValue) {
        this.reckonMarginValue = reckonMarginValue;
    }

    public int getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(int isDefault) {
        this.isDefault = isDefault;
    }
}
